# RTLS Reports
## Common
### Description
This GitHub repository contains a backend service that is called as `Reports`.
The component is implementing NodeJs service that is by CRON generates reports based on the data generated with RTLS system.
Service implemented as http server.
Result of package building is rpm package `rtls-reports-xxxx.x.x.rpm`.

### Technologies
- `rtls-reports`: NodeJs, Express, MariaDB

### Requirements
- Centos 7
- NodeJs v14

### Project local setup
- clone git repository
- install `MariaDB`
- setup `rtls-frontend` and `rtls-historical-api` projects
- run server `npm run Server`, by default server port is `3200`

## Conventions
### Code style
#### Formatting rules
- please, follow the eslint rules described in project (with this purpose setting up your IDE with the ```eslint.rc```);

#### Naming rules
- please name the variables and constants in a human-readable manner (ex. use `getUsersSql` instead of `sql1`);
- please use the `camelCase` style in name the variables and constants (ex. `getUsersSql` instead of `get_users_sql`);
- please use upper case naming for constants that are not changeable in project (ex. `MAX_ROWS_NUMBER`);
- please use `JavaScript` conventions in naming the classes, constructors(functions) and others entities (classes should be named wih the first capital latter);
